Skip to main content
PUT
/
membership_credits
/
{membershipCreditId}
Update a membership credit
curl --request PUT \
  --url https://app.supercycle.com/api/v1/membership_credits/{membershipCreditId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "membershipCredit": {}
}
'
{
  "id": 123,
  "creditCost": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

membershipCreditId
integer
required

Numeric ID of the membership credit to update.

Body

application/json
membershipCredit
object
required

Response

Expected response to a valid request

id
integer<int64>
required

Numeric ID of the membership credit.

creditCost
integer
required

Number of credits this rental costs the customer's membership.

status
enum<string>
required

Whether the credit has been returned to the customer's membership.

Available options:
unreturned,
returned
returnCondition
null | enum<string>

When the credit is automatically returned, if configured on the shop.

Available options:
return_order_created,
received_at